#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: SHA
version: 1.6.4.2
id: SHA-1.6.4.2-CLjgfR8MPKbGDDn0VxSSuZ
key: SHA-1.6.4.2-CLjgfR8MPKbGDDn0VxSSuZ
license: BSD3
maintainer: Adam Wick <awick@galois.com>,
            Raphael Javaux <raphaeljavaux@gmail.com>
stability: stable
synopsis: Implementations of the SHA suite of message digest functions
description:
    This library implements the SHA suite of message digest functions,
    according to NIST FIPS 180-2 (with the SHA-224 addendum), as well
    as the SHA-based HMAC routines. The functions have been tested
    against most of the NIST and RFC test vectors for the various
    functions. While some attention has been paid to performance,
    these do not presently reach the speed of well-tuned libraries,
    like OpenSSL.
category: Cryptography, Codec
author: Adam Wick <awick@galois.com>, Brian Lewis <brian@lorf.org>
exposed: True
indefinite: False
exposed-modules:
    Data.Digest.Pure.SHA
abi: e731aa9dfe1d4bb449fc667559a67e02
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/SHA-1.6.4.2
library-dirs: /usr/lib/ghc-8.2.1/site-local/SHA-1.6.4.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/SHA-1.6.4.2
hs-libraries: HSSHA-1.6.4.2-CLjgfR8MPKbGDDn0VxSSuZ
depends:
    array-0.5.2.0 base-4.10.0.0 binary-0.8.5.1 bytestring-0.10.8.2
abi-depends: array-0.5.2.0=f1e5b16bbab6fd27896e28be963fa7eb
             base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             binary-0.8.5.1=44e4c28d2f38593047e3772473ecb87e
             bytestring-0.10.8.2=590a7a3c0bdcf7a6a59d8c8ef548a44a
haddock-interfaces: /usr/share/doc/haskell-sha/html/SHA.haddock
haddock-html: /usr/share/doc/haskell-sha/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

